DSC_0105.jpg=Gryphon guarding  the castle.
DSC_0103.jpg=Caught in flight.
DSC_0023.jpg=Standing on the bluff overlooking the water, but looking back at the house.
DSC_0016.jpg=View from the Crane house to the ocean.
DSC_0099.jpg=Caught collecting pollen.
DSC_0076.jpg=Playing in 55 degree water, no clouds and harsh winds.
DSC_0094.jpg=Tamron 90mm macro lens.
DSC_0058.jpg=Mom and her three kids.
DSC_0050.jpg=From the beach at the bottom of the bluff, looking north.
DSC_0046.jpg=Lovers
DSC_0106.jpg=Statues line both sides of this green swath.
DSC_0040.jpg=The ocean view from the bluff.
DSC_0024.jpg=Painters
